function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React, { useContext } from 'react';
import { CustomizeIcon } from 'rlj-design';
import classnames from 'classnames';
import { FilterContext } from "./Filter";
import { PREFIX_CLS } from "../constants/dictionary";
import "./style/filterBtn.less";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var prefixCls = "".concat(PREFIX_CLS, "-filter-btn");

var FilterBtn = function FilterBtn(_ref) {
  var _classnames;

  var children = _ref.children,
      open = _ref.open,
      setOpen = _ref.setOpen;

  var _ref2 = useContext(FilterContext) || {},
      _ref2$fields = _ref2.fields,
      fields = _ref2$fields === void 0 ? [] : _ref2$fields;

  return /*#__PURE__*/_jsxs("div", {
    className: classnames(prefixCls, (_classnames = {}, _defineProperty(_classnames, "".concat(prefixCls, "-hover"), !open && !fields.length), _defineProperty(_classnames, "".concat(prefixCls, "-click"), open || !!fields.length), _classnames)),
    onClick: function onClick() {
      return setOpen(!open);
    },
    children: [/*#__PURE__*/_jsx(CustomizeIcon, {
      style: {
        marginRight: 4
      },
      type: "icon-shaixuan1"
    }), children]
  });
};

export default FilterBtn;